Bug 731052 - Preupgrade doses not clean up /var/cache/yum preupgrade metadata
Preupgrade doses not clean up /var/cache/yum preupgrade metadata
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-16 11:22 EDT by Shawn Starr
Modified: 2013-04-09 04:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-09 04:31:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2011-08-16 11:22:53 EDT
Description of problem:
If you attempt to do an preupgrade, but are unable to upgrade to a specific version, trying a different version fails as it retries the existing yum metadata found.

Version-Release number of selected component (if applicable):
Any version of preupgrade.

How reproducible:
100%

Steps to Reproduce:
1. From Fedora 12, try to upgrade to Fedora 15, which isn't supported it downloads successfully, aborts in anaconda correctly.
2. From Fedora 12, try to upgrade to Fedora 14, fails, preupgrade continues to try Fedora 15 metadata found in /var/cache/yum/preupgrade-fedora directory.
  
Actual results:
Fails to download correct Fedora metadata

Expected results:
Deletes metadata then fetches correct metadata for right version of Fedora.


Additional info: It seems to be in all preupgrade versions released.
Comment 1 Fedora End Of Life 2013-04-03 13:20:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Shawn Starr 2013-04-09 04:31:06 EDT
Close it, preupgrade is obsoleted fedup is new kid in town

Note You need to log in before you can comment on or make changes to this bug.